#include <iostream>
#include <bits/stdc++.h>

using namespace std;

string zadatak(int xx, int yy) {
    string rezultat="";
    if(xx!=yy) {
        rezultat+=("-1\n");
    }
    if(xx==yy) {
        for(int i=0; i<xx; i++) {
            for(int j=0; j<yy; j++) {
                if(i>j) {
                    rezultat+=("0 ");
                }
                else {
                    rezultat+=("1 ");
                }
            }
            rezultat+=("\n");
        }

    }
    return rezultat;
}

int main()
{
    int brojUnosa;

    vector<int> X;
    vector<int> Y;

    vector<string> ispisi;

    cin >> brojUnosa;
    for(int i=0; i<brojUnosa; i++) {
        int xtemp;
        int ytemp;
        cin>>xtemp>>ytemp;
        ispisi.push_back(zadatak(xtemp,ytemp));
    }
    for(int i=0; i<ispisi.size(); i++) {
        cout<<ispisi[i];
    }
}